--
-- Lua - libsensors extender.
--

require "libsensors"

function sensors.startup( cfgname )
  local f = assert(io.open(cfgname))
  local r = sensors.init(f)
  assert(f:close())
  if r ~= 0 then error(sensors.strerror(r)) end
end

local mt = {}
mt.__index = mt
function mt:chip( name )
  for k,v in pairs(self) do
    if string.match(k, name) then
      return v
    end
  end
  error("no chip found: " .. name)
end

function sensors.snapshot()
  local t = sensors.scan_all_chips()
  setmetatable(t, mt)
  return t
end

